Table of contents:
A packaging task triggers the creation of a container, in which all uploaded files are encrypted and signed.
Find more information on the access rights needed for each operation in S&E Access Control Lists.
Create a packaging task
- Open the endpoint
POST /api/v1/packagingTask. - Click Try it out.
- Fill in the tenant header in the X-SE-TENANT field.
- Fill in the
deviceConfigId. - Upload the files to the
inputFilesfield.
Use the Add string item button to add a new input field if multiple files need to be uploaded. - Optionally:
- upload a
metadatafile - type in a
name - add one or more
sha256checksum
- upload a
- Click Execute.
- A successful response with 201 code will have status CREATED and will provide the full package information, as well as its
id, which you might use later on.
Check the status of a packaging task
- Open the endpoint to
GET /api/v1/packagingTask/{packagingTaskId}. - Click Try it out.
Fill in the
packagingTaskIdfrom the response body of your previous call.Another option would be to check the status of all the tasks via
GET /api/v1/packagingTask.- Fill in the tenant header in the X-SE-TENANT field.
- Click Execute.
- When the task is ready, the response body will have status DONE, and you have to use the Download endpoint.
Download a packaged file of a DONE packaging task
- Open the endpoint to
GET /api/v1/packagingTask/{taskId}/download. - Click Try it out.
Fill in the
taskId.- Fill in the tenant header in the X-SE-TENANT field.
- Click Execute.
- A successful response will automatically start the download process.
Approve a packaging task
- Open the
POST /api/v1/packagingTask/{packagingTaskId}/approvalendpoint. - Click Try it out.
- Fill in the
packagingTaskId. - Fill in the tenant header in the X-SE-TENANT field.
Fill in the Request body following the form:
{"decision":"APPROVED","reason":"string"}- Click Execute.
- A successful response with 202 code will confirm your action, e.g., Accepted.
If your use case requires only encrypting or sign then you are welcome to use the following two APIs: